Package com.collibra.dgc.core.api.model.workflow

# Interface AssetAssignmentRule

All Superinterfaces:
  `Entity`, `Serializable`

public interface AssetAssignmentRule extends Entity
An assignment rule for workflow definitions which apply to assets. Is used to limit the scope of assets to which given workflow definition applies to.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NamedResourceReference`
  `getAssetType()`
  Returns the asset type that this workflow configuration applies to.
  `NamedResourceReference`
  `getCommunity()`
  (Optional) Returns the community this workflow definition applies to.
  `NamedResourceReference`
  `getDomain()`
  (Optional) Returns the domain this workflow definition applies to.
  `NamedResourceReference`
  `getStatus()`
  (Optional) Returns the status this workflow definition applies to.
  `boolean`
  `isExactResourceTypeMatch()`
  Returns whether this rule requires an exact asset type match.

  ### Methods inherited from interface Entity

  `getId, setId`

- ## Method Details

  - ### getAssetType

    NamedResourceReference getAssetType()
    Returns the asset type that this workflow configuration applies to.
    Returns:
      The asset type

  - ### getDomain

    NamedResourceReference getDomain()
    (Optional) Returns the domain this workflow definition applies to.
    Returns:
      the domain

  - ### getCommunity

    NamedResourceReference getCommunity()
    (Optional) Returns the community this workflow definition applies to.
    Returns:
      the community

  - ### getStatus

    NamedResourceReference getStatus()
    (Optional) Returns the status this workflow definition applies to.
    Returns:
      the status

  - ### isExactResourceTypeMatch

    boolean isExactResourceTypeMatch()
    Returns whether this rule requires an exact asset type match. When true, the workflow can only be started if the asset type of the target asset matches exactly the asset type defined in this rule. Child asset types are excluded. When false, the workflow can also be started for assets whose type is a child of the defined asset type.
    Returns:
      true if only an exact asset type match satisfies this rule